[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# MonthOfTheYear

Extract the month of a TDateTime indication.

## Declaration

Source position: dateutil.inc line 189

`function MonthOfTheYear(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Date from which to extract month

## Function result

The month part of AValue

## Description

MonthOfTheYear extracts the month part of Avalue and returns it. It is an alias for MonthOf, and is provided for completeness only, corresponding to the other PartOfTheYear functions.

For an example, see the WeekOfTheYear function.

## See also

MonthOf |  | Extract the month from a given date.
WeekOfTheYear |  | Extract the week of the year (and optionally year) of a TDateTime indication.
DayOfTheYear |  | Extracts the day of the year from a TDateTime value
HourOfTheYear |  | Calculate the number of hours passed since the start of the year.
MinuteOfTheYear |  | Calculate the number of minutes elapsed since the start of the year
SecondOfTheYear |  | Calculate the number of seconds elapsed since the start of the year.
MilliSecondOfTheYear |  | Calculate the number of milliseconds elapsed since the start of the year.